PYMVPA2-TTEST(1)

NAME
pymvpa2-ttest - simple t-test routine

SYNOPSIS
pymvpa2 ttest [--version] [-h] -i DATASET [DATASET ...] [-m MASK] -o OUTPUT [-c CHANCE_LEVEL] [-s {t,z,p}] [-a {greater,less,two-sided}] t-test across multiple volumes against some chance level

DESCRIPTION
This is a rudimentary way to perform fixed-effect significance test across subjects on e.g. searchlight results maps.

OPTIONS

--version
    show program's version and license information and exit

-h, --help, --help-np
    show this help message and exit. --help-np forcefully disables the use of a pager for displaying the help.

-i DATASET [DATASET ...], --input DATASET [DATASET ...]
    path(s) to one or more PyMVPA dataset files. All datasets will be merged into a single dataset (vstack'ed) in order of specification. In some cases this option may need to be specified more than once if multiple, but separate, input datasets are required.

-m MASK, --mask MASK
    single mask item

-o OUTPUT, --output OUTPUT
    output filename ('.hdf5' extension is added automatically if necessary).

-c CHANCE_LEVEL, --chance-level CHANCE_LEVEL
    chance level performance

-s {t,z,p}, --stat {t,z,p}
    Store corresponding statistic, e.g. z-value corresponding to the original t-value

-a {greater,less,two-sided}, --alternative {greater,less,two-sided}
    Which tail of the distribution 'interesting' values belong to. E.g. if values are accuracies, it would be the 'greater', if errors -- the 'less'

AUTHOR
Written by Michael Hanke & Yaroslav Halchenko, and numerous other contributors.

COPYRIGHT
Copyright © 2006-2015 PyMVPA developers

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.